Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.servlet
Class ServletRequestAndContext

    java.lang.Object
      org.apache.commons.jxpath.servlet.HttpSessionAndServletContext
          org.apache.commons.jxpath.servlet.ServletRequestAndContext

    public class ServletRequestAndContext

extends HttpSessionAndServletContext

Just a structure to hold a `ServletRequest` and `ServletContext` together.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`ServletRequestAndContext(ServletRequest request, ServletContext context)` Create a new ServletRequestAndContext.

Method Summary
`ServletRequest` | `getServletRequest()` Get the request.
`HttpSession` | `getSession()` Get the session.

Methods inherited from class org.apache.commons.jxpath.servlet.HttpSessionAndServletContext
`getServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletRequestAndContext

    public ServletRequestAndContext(ServletRequest request,
                                    ServletContext context)

  Create a new ServletRequestAndContext.

  Parameters:
    `request` - ServletRequest
    `context` - ServletContext

Method Detail

### getSession

    public HttpSession getSession()

  Description copied from class: `HttpSessionAndServletContext`
  Get the session.

  Overrides:
    `getSession` in class `HttpSessionAndServletContext`
  Returns:
    HttpSession

### getServletRequest

    public ServletRequest getServletRequest()

  Get the request.

  Returns:
    ServletRequest

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.